# Struct ethcore::client::BlockChainCacheSize [−] [src]

    pub struct BlockChainCacheSize {
        pub blocks: usize,
        pub block_details: usize,
        pub transaction_addresses: usize,
        pub blocks_blooms: usize,
        pub block_receipts: usize,
    }

Represents blockchain's in-memory cache size in bytes.

## Fields

`blocks: usize`

Blocks cache size.

`block_details: usize`

BlockDetails cache size.

`transaction_addresses: usize`

Transaction addresses cache size.

`blocks_blooms: usize`

Blooms cache size.

`block_receipts: usize`

Block receipts size.

## Methods

### `impl CacheSize`
[src]

#### `fn total(&self) -> usize`

Total amount used by the cache.

## Trait Implementations

### `impl Debug for CacheSize`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)